\name{scaling}
\alias{scale01}
\title{Scaling Data}
\description{
  Auxiliary function to scale data.
}
\usage{
scale01(x, method=c("columnwise", "rowwise", "all", "pobs"), ...)
}
\arguments{
  \item{x}{A \code{\link{numeric}} vector or
    \eqn{(n,d)}-\code{\link{matrix}} or \eqn{(n,d)}-\code{\link{data.frame}}
    containing the data to be scaled to \eqn{[0,1]}.}
  \item{method}{A \code{\link{character}} string indicating the
    scaling method to be used. Available are:
    \describe{
      \item{\code{"columnwise"}:}{Scales \code{x} columnwise.}
      \item{\code{"rowwise"}:}{Scales \code{x} rowwise.}
      \item{\code{"all"}:}{Scales all components of \code{x} simultaneously.}
      \item{\code{"pobs"}:}{Applies columnwise the respective empirical
	distribution function to \code{x}; see the \R\ package
	``copula'' for more details.}
    }}
  \item{...}{Additional arguments passed to \code{\link{rank}()} (for
    \code{method="pobs"}) and \code{\link{range}()} (for all other methods).}
}
\value{
  \code{scale01()} returns a \code{\link{matrix}} of the same dimensions
  as \code{x}, but linearly scaled to lie in \eqn{[0,1]}.
}
\details{
  If \code{x} is a matrix and \code{method="columnwise"}, the same
  scaling can be achieved, for example, with
  \code{scale(x, center=apply(z, 2, min), scale=apply(z, 2,
    function(x) diff(range(x))))}.
}
\author{Marius Hofert and Wayne Oldford}
\seealso{
  \code{\link{zenplot}()} where \code{scale01()} is used.
  \code{\link{scale}()} for center-scale type of scaling of matrix-like
  objects (only).
}
\examples{
## Implementation
scale01
}
\keyword{datagen}